<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package bluesip
 * @since bluesip 1.0
 */
?><!DOCTYPE html>
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title>
	<?php wp_title( '|', true, 'right' ); ?>
</title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->

<!--[if lt IE 9]>
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/ie.css" />
<![endif]-->
	<?php wp_head(); ?>
</head>
 
<body <?php body_class(); ?>>

<div id="page" class="hfeed">
<div id="masthead" class="site-header" role="banner">

   <hgroup>
   		<h1 class="site-title">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>	 		
   		</h1>
   		<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
   </hgroup>
   
   <div id="left-header"></div>
   <div id="right-header"></div>
   
   <!-- <?php get_search_form(); ?> -->
   <div id="social-field">
	<?php
		do_action ( 'bluesip_get_social_links' ); /* Get social links from action hook */
	?>
   </div>
   
</div><!-- #masthead .site-header -->

   <nav role="navigation" id="access" class="site-navigation main-navigation">
   	<h5 class="menu-toggle"><a id="toggling" href="#"><?php _e( 'Menu', 'bluesip' ); ?></a></h5>
		<div class="assistive-text skip-link"><a href="#content" title="<?php esc_attr_e( 'Skip to content', '_s' ); ?>"><?php _e( 'Skip to content', 'bluesip' ); ?></a></div>
		<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container_class' => 'menu' ) ); ?>
   </nav><!-- .site-navigation .main-navigation -->
   
<div id="main" class="site-main">