<?php
/**
 * The theme option setup
 * @since BlueSip 1.0
 */

 /**
 * Index posts
 */
function bluesip_index_posts_style() {
	global $bluesip_theme_options_settings;
   	$options = $bluesip_theme_options_settings;
	$index_posts = $options['index_posts'];
	
	if ('show-excerpt' == $index_posts) {
	?>
		<div class="entry-content">
		<?php
				if( has_post_thumbnail() && ( is_archive() || is_home() || is_search() ) ) {
				$image = '';        			
        		$title_attribute = apply_filters( 'the_title', get_the_title() );
				$image .= '<div class="post-featured-image">';
				$image .= '<a href="' . get_permalink() . '" title="'.__( 'Permalink to ', 'nuwhite' ).the_title( '', '', false ).'">';
				$image .= get_the_post_thumbnail( get_the_ID(), 'featured-medium', array( 'title' => esc_attr( $title_attribute ), 'alt' => esc_attr( $title_attribute ) ) ).'</a>';
				$image .= '</div>';
				echo $image; 
			}
				the_excerpt();
			?>
		</div>
		<?php
	}
	
	if ('show-full-post' == $index_posts) {
	?>
	<div class="entry-content"> 
	<?php
		the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'bluesip' ) );
	?>
	</div>
	<?php
	}
} 
add_action ('bluesip_get_index_posts_style', 'bluesip_index_posts_style', 10, 1);

/**
 * Enqueue the styles for color scheme.
 */
function bluesip_enqueue_color_scheme() {
	global $bluesip_theme_options_settings;
   	$options = $bluesip_theme_options_settings;
	$color_scheme = $options['color_scheme'];

	if ( 'gray-scheme' == $color_scheme ) { 
		wp_enqueue_style( 'gray', get_template_directory_uri() . '/css/scheme/gray.css', array(), null );
	}
	if ( 'clean-scheme' == $color_scheme ) { 
		wp_enqueue_style( 'clean', get_template_directory_uri() . '/css/scheme/clean.css', array(), null );
	}		
	do_action( 'bluesip_enqueue_color_scheme', $color_scheme );
}
add_action( 'wp_enqueue_scripts', 'bluesip_enqueue_color_scheme' );

/**
 * Get social links
 */
function social_links() {
	global $bluesip_theme_options_settings;
	$options = $bluesip_theme_options_settings;
	$bluesip_socialnetworks = '';
	$bluesip_socialnetworks .= '<div class="social-profiles clearfix"><ul>';

	$social_links = array(); 
	$social_links_name = array();
	$social_links_name = array( __( 'Facebook', 'bluesip' ),
								__( 'Twitter', 'bluesip' ),
								__( 'Google Plus', 'bluesip' ),
								__( 'Pinterest', 'bluesip' ),
								__( 'Linkedin', 'bluesip' ),
								__( 'Youtube', 'bluesip' ),
								__( 'RSS', 'bluesip' )
								);
	$social_links = array( 	'Facebook' 		=> 'social_facebook',
									'Twitter' 		=> 'social_twitter',
									'Google-Plus'	=> 'social_googleplus',
									'Pinterest'		=> 'social_pinterest',
									'Linkedin'		=> 'social_linkedin',
									'Youtube'		=> 'social_youtube',
									'RSS'				=> 'social_rss'  
								);
	
	$i=0;
	foreach( $social_links as $key => $value ) {
		if ( !empty( $options[ $value ] ) ) {
			$bluesip_socialnetworks .=
				'<li class="'.strtolower($key).'"><a href="'. esc_url( $options[ $value ] ) .'" title="'.sprintf( esc_attr__( '%1$s on %2$s', 'bluesip' ), get_bloginfo( 'name' ), $social_links_name[$i] ).'" target="_blank"></a></li>';
		}
		$i++;
	}		

	$bluesip_socialnetworks .= '</ul></div> <!-- Social links -->';
	echo $bluesip_socialnetworks;
}
add_action ('bluesip_get_social_links', 'social_links', 10, 1);
