<?php
/**
 * BlueSip Theme Options
 * @since BlueSip 1.0
 */
 
function bluesip_admin_enqueue_scripts( $hook_suffix ) {
	wp_enqueue_style( 'thickbox' );
	wp_enqueue_style( 'bluesip-admin-css', get_template_directory_uri() . '/inc/assets/options-style.css', true);
	wp_enqueue_script( 'bluesip-admin-js', get_template_directory_uri() . '/inc/assets/options-script.js', array( 'jquery'), '20130804', true );
	wp_enqueue_script( 'bluesip-image-uploader', get_template_directory_uri() . '/inc/assets/image-uploader.js', array( 'jquery', 'media-upload', 'thickbox' ), '20130804', true );
}
add_action( 'admin_print_styles-appearance_page_theme_options', 'bluesip_admin_enqueue_scripts' );


add_action( 'admin_menu', 'bluesip_options_menu' );
/**
 * Create sub-menu page.
 *
 * @uses add_theme_page to add sub-menu under the Appearance top level menu.
 */
function bluesip_options_menu() {
    
	add_theme_page( 
		__( 'Theme Options', 'bluesip' ),           // Name of page
		__( 'Theme Options', 'bluesip' ),           // Label in menu
		'edit_theme_options',                           // Capability required
		'theme_options',                                // Menu slug, used to uniquely identify the page
		'bluesip_theme_options_do_page'             // Function that renders the options page
	);

}

add_action( 'admin_init', 'bluesip_register_settings' );

/*
 * Twitter script at head
 */
function bluesip_social_admin() 
{ ?>
	<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
<?php     
}

add_action( 'admin_print_styles-appearance_page_theme_options', 'bluesip_social_admin', 50);
/**
 * Register options and validation callbacks
 *
 * @uses register_setting
 */
function bluesip_register_settings() {
   register_setting( 'bluesip_theme_options', 'bluesip_theme_options', 'bluesip_theme_options_validate' );
}

/**
 * Render BlueSip Theme Options Elements
 */
function bluesip_theme_options_do_page() {

?> 
<div class="wrap">
		<?php screen_icon(); ?>
		<?php $theme_name = wp_get_theme(); ?>
		<h2><?php printf( __( '%s Theme Options', 'bluesip' ), $theme_name ); ?></h2>
		<form method="post" action="options.php">
		<?php
			settings_fields( 'bluesip_theme_options' );
			global $bluesip_theme_options_settings;
			$options = $bluesip_theme_options_settings;             
		?>       
		<?php if( isset( $_GET [ 'settings-updated' ] ) && 'true' == $_GET[ 'settings-updated' ] ): ?>
			<?php settings_errors(); ?>
		<?php endif; ?> 	
		<div id="bluesip-container">
		<div id="blue-panel-header">
			<div class="panel-header">
				<img src="<?php echo get_template_directory_uri(); ?>/inc/assets/img/bluesip-panel.png" />
			</div>
		</div>
		<div id="tabs" class="blue-tabs">
			<ul>
				<li><a href="#tab-1"><?php _e( 'General', 'bluesip' );?></a></li>
				<li><a href="#tab-2"><?php _e( 'Social', 'bluesip' );?></a></li>
				<li><a href="#tab-3"><?php _e( 'Help and Documentations', 'bluesip' );?></a></li>
				<li>
					<a href="<?php echo esc_url( 'https://twitter.com/mkhuda' ); ?>" class="twitter-follow-button" data-button="grey" data-text-color="#FFFFFF" data-link-color="#00AEFF" data-width="270px" data-height="50px" data-show-screen-name="true" data-show-count="true"></a>
				</li>
			</ul>
			<div id="tab-1">
				<h3> <?php _e( 'General Options', 'bluesip' );?> </h3>
							<table>
								<tr>
								<td class="left">
									<label>
										<?php _e( 'Default index posts', 'bluesip' ); ?>
									</label>
								</td>
								<td class="right">
									<label>		
										<input type="radio" name="bluesip_theme_options[index_posts]" id="show-excerpt" <?php checked($options['index_posts'], 'show-excerpt') ?> value="show-excerpt"  />
										<?php _e ( 'Show excerpt', 'bluesip' ); ?>
									</label>
									<label>		
										<input type="radio" name="bluesip_theme_options[index_posts]" id="show-full-post" <?php checked($options['index_posts'], 'show-full-post') ?> value="show-full-post"  />
										<?php _e ( 'Show full post', 'bluesip' ); ?>
									</label>
								</td>
								</tr>
								<tr>
								<tr>
								<td class="left">
									<label>
										<?php _e( 'Color scheme', 'bluesip' ); ?>
									</label>
								</td>
								<td class="right">
									<label class="scheme">		
										<input type="radio" name="bluesip_theme_options[color_scheme]" id="blue-scheme" <?php checked($options['color_scheme'], 'blue-scheme') ?> value="blue-scheme"  />
										<img src="<?php echo get_template_directory_uri(); ?>/inc/assets/img/blue-scheme.png" />
									</label>
									<label class="scheme">
										<input type="radio" name="bluesip_theme_options[color_scheme]" id="gray-scheme" <?php checked($options['color_scheme'], 'gray-scheme') ?> value="gray-scheme"  />
										<img src="<?php echo get_template_directory_uri(); ?>/inc/assets/img/gray-scheme.png" />
									</label>
									<label class="scheme">
										<input type="radio" name="bluesip_theme_options[color_scheme]" id="clean-scheme" <?php checked($options['color_scheme'], 'clean-scheme') ?> value="clean-scheme"  />
										<img src="<?php echo get_template_directory_uri(); ?>/inc/assets/img/clean-scheme.png" />
									</label>
								</td>
								</tr>
							</table>
							<?php submit_button(); ?>
			</div>
			<div id="tab-2" class="blue-tabs">
				<h3><?php _e( 'Your social links', 'bluesip' );?></h3>
				<?php 
					$social_links = array(); 
					$social_links_name = array();
					$social_links_name = array( __( 'Facebook', 'bluesip' ),
												__( 'Twitter', 'bluesip' ),
												__( 'Google Plus', 'bluesip' ),
												__( 'Pinterest', 'bluesip' ),
												__( 'LinkedIn', 'bluesip' ),
												__( 'Youtube', 'bluesip' ),
												__( 'RSS', 'bluesip' )
										);
					$social_links = array( 	'Facebook' 		=> 'social_facebook',
											'Twitter' 		=> 'social_twitter',
											'Google-Plus'	=> 'social_googleplus',
											'Pinterest'		=> 'social_pinterest',
											'Linkedin'		=> 'social_linkedin',
											'Youtube'		=> 'social_youtube',
											'RSS'			=> 'social_rss' 
									);
				?>
							<table>
							<?php
								$i = 0;
								foreach( $social_links as $key => $value ) {
							?>
								<tr>
								<td class="left">
									<label>
										<?php printf( __( '%s', 'bluesip' ), $social_links_name[ $i ] ); ?>
									</label>
								</td>
								<td class="right">
									<label>
										<input type="text" size="60" name="bluesip_theme_options[<?php echo $value; ?>]" value="<?php 
										if ( !empty( $options[ $value ] ) ) {
											echo  esc_url ( $options[$value] );
										}
										?>" />
									</label>
								<td>
								</tr>
							<?php
								$i++;
								}
							?>
							</table>
			<?php submit_button(); ?>
			</div>
			<div id="tab-3" class="blue-tabs">
				<h3><?php _e( 'Documentations', 'bluesip' );?></h3>
					<center><h2><p><?php _e( '<strong>(Simply) How to use the Theme Options.</strong><br />* Color Scheme, <i>to choose a color scheme, please choose one of the existing</i><br />* Social profiles, <i>Feel free to set your social urls on existing form</i> <br />','bluesip' ); ?> </p>
					<p><?php _e( '<strong>Contact me:</strong> Please follow my twitter, if you want to ask more .', 'bluesip' ); ?> </p></h2>
					<a href="<?php echo esc_url( 'https://twitter.com/mkhuda' ); ?>" class="twitter-follow-button" data-button="grey" data-text-color="#FFFFFF" data-link-color="#00AEFF" data-width="210px" data-height="50px" data-show-screen-name="true" data-show-count="true"></a> <br>
					<h4><a title="<?php esc_attr_e( 'Mkhuda', 'bluesip' ); ?>" href="<?php echo esc_url( 'http://mkhuda.com/themes' ); ?>" target="_blank" class="upgrade"><?php _e( 'Mkhuda Themes', 'bluesip' ); ?></a></h4>
					</center>
			</div>
		</div>
		</form>
</div>
</div>
<?php } 

/**
 * Validate all theme options values
 */
 
function bluesip_theme_options_validate( $options ) {
	global $bluesip_theme_options_settings, $bluesip_theme_options_defaults;
	$input_validated = $bluesip_theme_options_settings;
	$input = array();
	$input = $options;
	
	// Index posts
	if( isset( $input[ 'index_posts' ] ) ) {
		$input_validated[ 'index_posts' ] = $input[ 'index_posts' ];
	}
	
	// Color Scheme
	if( isset( $input[ 'color_scheme' ] ) ) {
		$input_validated[ 'color_scheme' ] = $input[ 'color_scheme' ];
	}
	
	// Social links
	if( isset( $input[ 'social_facebook' ] ) ) {
		$input_validated[ 'social_facebook' ] = esc_url_raw( $input[ 'social_facebook' ] );
	}
	if( isset( $input[ 'social_twitter' ] ) ) {
		$input_validated[ 'social_twitter' ] =  esc_url_raw( $input[ 'social_twitter' ] );
	}
	if( isset( $input[ 'social_googleplus' ] ) ) {
		$input_validated[ 'social_googleplus' ] =  esc_url_raw( $input[ 'social_googleplus' ] );
	}
	if( isset( $input[ 'social_pinterest' ] ) ) {
		$input_validated[ 'social_pinterest' ] =  esc_url_raw( $input[ 'social_pinterest' ] );
	}
	if( isset( $input[ 'social_linkedin' ] ) ) {
		$input_validated[ 'social_linkedin' ] = esc_url_raw( $input[ 'social_linkedin' ] );
	}
	if( isset( $input[ 'social_youtube' ] ) ) {
		$input_validated[ 'social_youtube' ] = esc_url_raw( $input[ 'social_youtube' ] );
	}
	if( isset( $input[ 'social_rss' ] ) ) {
		$input_validated[ 'social_rss' ] = esc_url_raw( $input[ 'social_rss' ] );
	}
	
   return $input_validated;
}